Page MenuHomePhabricator

there is no way to type something before a link that is the first thing in a ContentTranslation section or after a link that is the last thing
Closed, ResolvedPublic

Description

If a paragraph begins with a link, typing plain text before the link is impossible. It would be nice to make it possible to type before it. The same for a link that ends a sentence.

The only way I could find to do it is to press Enter, type what I want, and then bring the paragraphs back together, and this is lame.

If it's in an image, then it's totally impossible.

Related Objects

StatusAssignedTask
ResolvedPginer-WMF
ResolvedNone
ResolvedAmire80
InvalidNone
OpenAmire80
DeclinedNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Opensanthosh
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Amire80 created this task.Jul 16 2015, 4:46 AM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 4:46 AM
Amire80 renamed this task from there is not convenient way to type something before a link, which is the first thing in a ContentTranslation section to there is no convenient way to type something before a link, which is the first thing in a ContentTranslation section.Jul 16 2015, 4:53 AM
Amire80 updated the task description. (Show Details)
Amire80 set Security to None.
Amire80 moved this task from Bugs to Links on the ContentTranslation-Release6 board.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 18 2015, 11:00 PM
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 5:28 PM
Amire80 renamed this task from there is no convenient way to type something before a link, which is the first thing in a ContentTranslation section to there is no convenient way to type something before a link that is the first thing in a ContentTranslation section.Feb 15 2016, 8:14 PM
Amire80 renamed this task from there is no convenient way to type something before a link that is the first thing in a ContentTranslation section to there is no way to type something before a link that is the first thing in a ContentTranslation section or after a link that is the last thing.Oct 3 2016, 10:38 AM
Amire80 updated the task description. (Show Details)
Pginer-WMF closed this task as Resolved.May 15 2018, 11:34 AM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

This works already in version 2 of Content Translation thanks to the support provided by VE link boundaries.